
#include "cube.h"

float cube::GetVolume() const
{
  return length*length*length;
}


float cube::GetSurface() const
{
  return 6.*length*length;
}

cube::cube(const float x)
{
  length = x;
}

cube::cube(const float x, const Color &c)
  : body(c)
{
  length = x;
}

// the copy constructor
cube::cube (const cube& c)
  : body(c)
{
 length = c.length;
}

// the assignment operator
cube& cube::operator= (const cube& c) 
{
  if ( this == &c) return (*this) ;
  length = c.length;
  color = c.color;
  return (*this);
}

void cube::identify(ostream &os)
{
  os << "cube of length " << length 
     << " " << color;
}

ostream& operator<< (ostream& os, cube &c)
{
  c.identify(os);
  return os;
}
