
#include "cylinder.h"


float cylinder::GetVolume() const
{
  return ( PI*radius*radius  * height );
}


float cylinder::GetSurface() const
{
  return ( 2*PI*radius*height + 2*PI*radius*radius);
}

cylinder::cylinder(const float r, const float h)
{
  radius = r;
  height = h;
}


cylinder::cylinder(const float r, const float h, const Color &c)
  : body(c)
{
  radius = r;
  height = h;
}

cylinder::cylinder(const cylinder & c)
  : body(c)
{
  radius = c.radius;
  height = c.height;
}

// the assignment operator
cylinder& cylinder::operator= (const cylinder& c) 
{
  if ( this == &c) return (*this) ;
  radius = c.radius;
  height = c.height;
  color = c.color;
  return (*this);
}

void cylinder::identify(ostream &os)
{
    os << "cylinder of radius " << radius 
     << " height " << height 
     << " " << color;
}

ostream& operator<< (ostream& os, cylinder &c)
{
  c.identify(os);
  return os;
}

