// this example shows how to read from a test data stream.
// For many test purposes it is handy to read events from the test
// stream. The testEventiterator makes Event objects with know properties
// and we can distribute examples which don't realy on a particular file
// to be present. 
//
// In this example we show how to ask the event object for a packet, and then
// we ask the packets questions in turn. We filel a histogram withthe data 
// from packet 1003, which gives you a sort of gaussian distribution if 
// you histogram many events.
//
// Use this example from the root prompt by 
// .x testread.C
// Note that in order to see the histogram, you must have a DISPLAY 
// defined (and root must not be started in batch mode).
//
// mlp 
// --------------


{
#include <iostream.h>

  // load the shared library
  gSystem->Load("$EVT_LIB/libEvent.so");
  
  // make a event iterator which reads from a testEventiterator
  Eventiterator *xx = new testEventiterator();
  
  // e is  pointer to an object of type "Event" 
  Event *e;
  
  // now we create a histogram and set some display properties here.
  TH1F *h = new TH1F("histogram","Channel 0", 101,-49.5,49.5);
  TCanvas *c1 = new TCanvas("c1", "c1",283,182,521,515);
  c1->SetHighLightColor(2);
  c1->Range(-250,-0.7875,2250,7.0875);
  c1->SetFillColor(19);
  c1->SetBorderSize(2);
  c1->GetFrame()->SetFillColor(43);
  c1->Modified();
  c1->cd();
  
  h->SetFillColor(2);
  
  // now we read 20 event or until the iterator is empty, whatever comes
  // first. For each event we have it identify itself and then we delete 
  // it again.
  int i = 1000;
  while (i-- && (e = xx->getNextEvent()) )
    {
      //e->identify();
      Packet *p = e->getPacket(1003);
      if (p)
	{
	  h->Fill (p->iValue(0));
	  delete p;
	}
      delete e;
    }
  
  h->Draw();
  
  
  // finally, we delete the iterator, thereby closing the file..
  delete xx;
}

